Oracle Java ShortComponentRaster Exploit

The ShortComponentRaster.verify() method in Oracle Java versions prior to 7u25 holds a memory corruption vulnerability that allows the bypassing of "dataOffsets[]" boundary checks. This module exploits such vulnerability allowing for remote code execution.
Exploit type: 
Platform: 
Vulnerabilty ID: 
CVE-2013-2472
Product Version: 
2013_R2
Released Date: 
Friday, December 6, 2013 - 00:00